package com.e6yun.project.sdk.api.pojo.basevo.basic;

import com.google.common.base.MoreObjects;

import java.util.Date;

/**
 * @Description
 * @Author ningkun@e6yun.com
 * @Created Date: 2021/7/7 14:03
 * @ClassName TerBasicInfoVO
 * @Remark
 */
public class TerBasicInfoVO {
    private Date maxModifiedTime;

    private Integer vehicleId;

    private String vehicleNo;

    private Integer isValid;

    private Integer corpId;

    private String regName;

    private String customName;

    private String objKey;

    private Integer monitorCorpId;

    private Integer dataSource;

    private String dataTerName;

    private Integer dataTerminalId;

    private String commids;

    private Integer deviceType;

    private Integer status;

    private Integer terFrom;

    private Integer terSource;

    private Integer power;

    private Integer isLock;

    private Integer isHaveLock;

    private Integer isCamera;

    private Integer cooler;

    private Integer hydraulic;

    private Integer oilControl;

    private Integer airCondition;

    private Integer centerLock;

    private Integer cutoilelec;

    private Integer isMan;

    private Integer isStandbyPower;

    private Integer temperaturectrl;

    private Integer isMixer;

    private Integer dobuleSpeed;

    private Integer switchNum;

    private String appid;

    private String antennaLocation;

    private Integer eqSourceId;

    private String mainVersion;

    private String lcdVersion;

    private Integer co2Ctrl;

    private Integer humidityChannel;

    private Integer relayChannel;

    private Integer isConnected;

    private Integer isMonitor;

    private Integer isLcd;

    private Integer cameraChannel;

    private Integer mcChannel;

    private Integer video3G;

    private Integer isSeparation;

    private Integer isTrailer;

    private Integer photoResolution;

    private Integer equipId;

    private String equipCode;

    private Integer firstClassId;

    private Integer secondClassId;

    private Integer thirdClassId;

    private Integer companyId;

    private Integer companyLevel;


    private String modifiedRemark;

    private Integer isStopAnalyze;

    private Integer isAdas;


    private Integer isTyreBar;

    private Integer extAttr1;

    private Integer extAttr2;

    private Integer extAttr3;

    private Integer extAttr4;

    private Integer extAttr5;

    private Integer extAttr6;

    private Integer extAttr7;

    private Integer extAttr8;

    private Integer extAttr9;

    public Date getMaxModifiedTime() {
        return maxModifiedTime;
    }

    public void setMaxModifiedTime(Date maxModifiedTime) {
        this.maxModifiedTime = maxModifiedTime;
    }

    public Integer getVehicleId() {
        return vehicleId;
    }

    public void setVehicleId(Integer vehicleId) {
        this.vehicleId = vehicleId;
    }

    public String getVehicleNo() {
        return vehicleNo;
    }

    public void setVehicleNo(String vehicleNo) {
        this.vehicleNo = vehicleNo;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public Integer getCorpId() {
        return corpId;
    }

    public void setCorpId(Integer corpId) {
        this.corpId = corpId;
    }

    public String getRegName() {
        return regName;
    }

    public void setRegName(String regName) {
        this.regName = regName;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getObjKey() {
        return objKey;
    }

    public void setObjKey(String objKey) {
        this.objKey = objKey;
    }

    public Integer getMonitorCorpId() {
        return monitorCorpId;
    }

    public void setMonitorCorpId(Integer monitorCorpId) {
        this.monitorCorpId = monitorCorpId;
    }

    public Integer getDataSource() {
        return dataSource;
    }

    public void setDataSource(Integer dataSource) {
        this.dataSource = dataSource;
    }

    public String getDataTerName() {
        return dataTerName;
    }

    public void setDataTerName(String dataTerName) {
        this.dataTerName = dataTerName;
    }

    public Integer getDataTerminalId() {
        return dataTerminalId;
    }

    public void setDataTerminalId(Integer dataTerminalId) {
        this.dataTerminalId = dataTerminalId;
    }

    public String getCommids() {
        return commids;
    }

    public void setCommids(String commids) {
        this.commids = commids;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getTerFrom() {
        return terFrom;
    }

    public void setTerFrom(Integer terFrom) {
        this.terFrom = terFrom;
    }

    public Integer getTerSource() {
        return terSource;
    }

    public void setTerSource(Integer terSource) {
        this.terSource = terSource;
    }

    public Integer getPower() {
        return power;
    }

    public void setPower(Integer power) {
        this.power = power;
    }

    public Integer getIsLock() {
        return isLock;
    }

    public void setIsLock(Integer isLock) {
        this.isLock = isLock;
    }

    public Integer getIsHaveLock() {
        return isHaveLock;
    }

    public void setIsHaveLock(Integer isHaveLock) {
        this.isHaveLock = isHaveLock;
    }

    public Integer getIsCamera() {
        return isCamera;
    }

    public void setIsCamera(Integer isCamera) {
        this.isCamera = isCamera;
    }

    public Integer getCooler() {
        return cooler;
    }

    public void setCooler(Integer cooler) {
        this.cooler = cooler;
    }

    public Integer getHydraulic() {
        return hydraulic;
    }

    public void setHydraulic(Integer hydraulic) {
        this.hydraulic = hydraulic;
    }

    public Integer getOilControl() {
        return oilControl;
    }

    public void setOilControl(Integer oilControl) {
        this.oilControl = oilControl;
    }

    public Integer getAirCondition() {
        return airCondition;
    }

    public void setAirCondition(Integer airCondition) {
        this.airCondition = airCondition;
    }

    public Integer getCenterLock() {
        return centerLock;
    }

    public void setCenterLock(Integer centerLock) {
        this.centerLock = centerLock;
    }

    public Integer getCutoilelec() {
        return cutoilelec;
    }

    public void setCutoilelec(Integer cutoilelec) {
        this.cutoilelec = cutoilelec;
    }

    public Integer getIsMan() {
        return isMan;
    }

    public void setIsMan(Integer isMan) {
        this.isMan = isMan;
    }

    public Integer getIsStandbyPower() {
        return isStandbyPower;
    }

    public void setIsStandbyPower(Integer isStandbyPower) {
        this.isStandbyPower = isStandbyPower;
    }

    public Integer getTemperaturectrl() {
        return temperaturectrl;
    }

    public void setTemperaturectrl(Integer temperaturectrl) {
        this.temperaturectrl = temperaturectrl;
    }

    public Integer getIsMixer() {
        return isMixer;
    }

    public void setIsMixer(Integer isMixer) {
        this.isMixer = isMixer;
    }

    public Integer getDobuleSpeed() {
        return dobuleSpeed;
    }

    public void setDobuleSpeed(Integer dobuleSpeed) {
        this.dobuleSpeed = dobuleSpeed;
    }

    public Integer getSwitchNum() {
        return switchNum;
    }

    public void setSwitchNum(Integer switchNum) {
        this.switchNum = switchNum;
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    public String getAntennaLocation() {
        return antennaLocation;
    }

    public void setAntennaLocation(String antennaLocation) {
        this.antennaLocation = antennaLocation;
    }

    public Integer getEqSourceId() {
        return eqSourceId;
    }

    public void setEqSourceId(Integer eqSourceId) {
        this.eqSourceId = eqSourceId;
    }

    public String getMainVersion() {
        return mainVersion;
    }

    public void setMainVersion(String mainVersion) {
        this.mainVersion = mainVersion;
    }

    public String getLcdVersion() {
        return lcdVersion;
    }

    public void setLcdVersion(String lcdVersion) {
        this.lcdVersion = lcdVersion;
    }

    public Integer getCo2Ctrl() {
        return co2Ctrl;
    }

    public void setCo2Ctrl(Integer co2Ctrl) {
        this.co2Ctrl = co2Ctrl;
    }

    public Integer getHumidityChannel() {
        return humidityChannel;
    }

    public void setHumidityChannel(Integer humidityChannel) {
        this.humidityChannel = humidityChannel;
    }

    public Integer getRelayChannel() {
        return relayChannel;
    }

    public void setRelayChannel(Integer relayChannel) {
        this.relayChannel = relayChannel;
    }

    public Integer getIsConnected() {
        return isConnected;
    }

    public void setIsConnected(Integer isConnected) {
        this.isConnected = isConnected;
    }

    public Integer getIsMonitor() {
        return isMonitor;
    }

    public void setIsMonitor(Integer isMonitor) {
        this.isMonitor = isMonitor;
    }

    public Integer getIsLcd() {
        return isLcd;
    }

    public void setIsLcd(Integer isLcd) {
        this.isLcd = isLcd;
    }

    public Integer getCameraChannel() {
        return cameraChannel;
    }

    public void setCameraChannel(Integer cameraChannel) {
        this.cameraChannel = cameraChannel;
    }

    public Integer getMcChannel() {
        return mcChannel;
    }

    public void setMcChannel(Integer mcChannel) {
        this.mcChannel = mcChannel;
    }

    public Integer getVideo3G() {
        return video3G;
    }

    public void setVideo3G(Integer video3G) {
        this.video3G = video3G;
    }

    public Integer getIsSeparation() {
        return isSeparation;
    }

    public void setIsSeparation(Integer isSeparation) {
        this.isSeparation = isSeparation;
    }

    public Integer getIsTrailer() {
        return isTrailer;
    }

    public void setIsTrailer(Integer isTrailer) {
        this.isTrailer = isTrailer;
    }

    public Integer getPhotoResolution() {
        return photoResolution;
    }

    public void setPhotoResolution(Integer photoResolution) {
        this.photoResolution = photoResolution;
    }

    public Integer getEquipId() {
        return equipId;
    }

    public void setEquipId(Integer equipId) {
        this.equipId = equipId;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public Integer getFirstClassId() {
        return firstClassId;
    }

    public void setFirstClassId(Integer firstClassId) {
        this.firstClassId = firstClassId;
    }

    public Integer getSecondClassId() {
        return secondClassId;
    }

    public void setSecondClassId(Integer secondClassId) {
        this.secondClassId = secondClassId;
    }

    public Integer getThirdClassId() {
        return thirdClassId;
    }

    public void setThirdClassId(Integer thirdClassId) {
        this.thirdClassId = thirdClassId;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public Integer getCompanyLevel() {
        return companyLevel;
    }

    public void setCompanyLevel(Integer companyLevel) {
        this.companyLevel = companyLevel;
    }

    public String getModifiedRemark() {
        return modifiedRemark;
    }

    public void setModifiedRemark(String modifiedRemark) {
        this.modifiedRemark = modifiedRemark;
    }

    public Integer getIsStopAnalyze() {
        return isStopAnalyze;
    }

    public void setIsStopAnalyze(Integer isStopAnalyze) {
        this.isStopAnalyze = isStopAnalyze;
    }

    public Integer getIsAdas() {
        return isAdas;
    }

    public void setIsAdas(Integer isAdas) {
        this.isAdas = isAdas;
    }

    public Integer getIsTyreBar() {
        return isTyreBar;
    }

    public void setIsTyreBar(Integer isTyreBar) {
        this.isTyreBar = isTyreBar;
    }

    public Integer getExtAttr1() {
        return extAttr1;
    }

    public void setExtAttr1(Integer extAttr1) {
        this.extAttr1 = extAttr1;
    }

    public Integer getExtAttr2() {
        return extAttr2;
    }

    public void setExtAttr2(Integer extAttr2) {
        this.extAttr2 = extAttr2;
    }

    public Integer getExtAttr3() {
        return extAttr3;
    }

    public void setExtAttr3(Integer extAttr3) {
        this.extAttr3 = extAttr3;
    }

    public Integer getExtAttr4() {
        return extAttr4;
    }

    public void setExtAttr4(Integer extAttr4) {
        this.extAttr4 = extAttr4;
    }

    public Integer getExtAttr5() {
        return extAttr5;
    }

    public void setExtAttr5(Integer extAttr5) {
        this.extAttr5 = extAttr5;
    }

    public Integer getExtAttr6() {
        return extAttr6;
    }

    public void setExtAttr6(Integer extAttr6) {
        this.extAttr6 = extAttr6;
    }

    public Integer getExtAttr7() {
        return extAttr7;
    }

    public void setExtAttr7(Integer extAttr7) {
        this.extAttr7 = extAttr7;
    }

    public Integer getExtAttr8() {
        return extAttr8;
    }

    public void setExtAttr8(Integer extAttr8) {
        this.extAttr8 = extAttr8;
    }

    public Integer getExtAttr9() {
        return extAttr9;
    }

    public void setExtAttr9(Integer extAttr9) {
        this.extAttr9 = extAttr9;
    }

    @Override
    public String toString() {
        return MoreObjects.toStringHelper(this)
                .add("maxModifiedTime", maxModifiedTime)
                .add("vehicleId", vehicleId)
                .add("vehicleNo", vehicleNo)
                .add("isValid", isValid)
                .add("corpId", corpId)
                .add("regName", regName)
                .add("customName", customName)
                .add("objKey", objKey)
                .add("monitorCorpId", monitorCorpId)
                .add("dataSource", dataSource)
                .add("dataTerName", dataTerName)
                .add("dataTerminalId", dataTerminalId)
                .add("commids", commids)
                .add("deviceType", deviceType)
                .add("status", status)
                .add("terFrom", terFrom)
                .add("terSource", terSource)
                .add("power", power)
                .add("isLock", isLock)
                .add("isHaveLock", isHaveLock)
                .add("isCamera", isCamera)
                .add("cooler", cooler)
                .add("hydraulic", hydraulic)
                .add("oilControl", oilControl)
                .add("airCondition", airCondition)
                .add("centerLock", centerLock)
                .add("cutoilelec", cutoilelec)
                .add("isMan", isMan)
                .add("isStandbyPower", isStandbyPower)
                .add("temperaturectrl", temperaturectrl)
                .add("isMixer", isMixer)
                .add("dobuleSpeed", dobuleSpeed)
                .add("switchNum", switchNum)
                .add("appid", appid)
                .add("antennaLocation", antennaLocation)
                .add("eqSourceId", eqSourceId)
                .add("mainVersion", mainVersion)
                .add("lcdVersion", lcdVersion)
                .add("co2Ctrl", co2Ctrl)
                .add("humidityChannel", humidityChannel)
                .add("relayChannel", relayChannel)
                .add("isConnected", isConnected)
                .add("isMonitor", isMonitor)
                .add("isLcd", isLcd)
                .add("cameraChannel", cameraChannel)
                .add("mcChannel", mcChannel)
                .add("video3G", video3G)
                .add("isSeparation", isSeparation)
                .add("isTrailer", isTrailer)
                .add("photoResolution", photoResolution)
                .add("equipId", equipId)
                .add("equipCode", equipCode)
                .add("firstClassId", firstClassId)
                .add("secondClassId", secondClassId)
                .add("thirdClassId", thirdClassId)
                .add("companyId", companyId)
                .add("companyLevel", companyLevel)
                .add("modifiedRemark", modifiedRemark)
                .add("isStopAnalyze", isStopAnalyze)
                .add("isAdas", isAdas)
                .add("isTyreBar", isTyreBar)
                .add("extAttr1", extAttr1)
                .add("extAttr2", extAttr2)
                .add("extAttr3", extAttr3)
                .add("extAttr4", extAttr4)
                .add("extAttr5", extAttr5)
                .add("extAttr6", extAttr6)
                .add("extAttr7", extAttr7)
                .add("extAttr8", extAttr8)
                .add("extAttr9", extAttr9)
                .toString();
    }
}
